Skip to main content
PUT
/
paybacks
/
{paybackId}
Update a payback
curl --request PUT \
  --url https://api.leanpay.fr/v1/public/paybacks/{paybackId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 1,
  "date": "2023-12-25",
  "externalId": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "creditNoteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 123,
  "date": "2023-12-25",
  "externalId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

paybackId
string<uuid>
required

Id of the payback

Body

application/json

Payback object to update

amount
integer
required
Required range: x >= 0
date
string<date>
required
externalId
string | null
Maximum string length: 80

Response

Returns the updated payback

id
string<uuid>
tenantId
string<uuid>
clientId
string<uuid>
creditNoteId
string<uuid>
amount
integer
date
string<date>
externalId
string | null
createdAt
string<date-time>
updatedAt
string<date-time>